import request from '@/utils/request'

// 查询会员微信粉丝列表
export function listFans(query) {
  return request({
    url: '/account/fans/list',
    method: 'get',
    params: query
  })
}

// 查询会员微信粉丝详细
export function getFans(uid) {
  return request({
    url: '/account/fans/' + uid,
    method: 'get'
  })
}

// 新增会员微信粉丝
export function addFans(data) {
  return request({
    url: '/account/fans',
    method: 'post',
    data: data
  })
}

// 修改会员微信粉丝
export function updateFans(data) {
  return request({
    url: '/account/fans',
    method: 'put',
    data: data
  })
}

// 删除会员微信粉丝
export function delFans(uid) {
  return request({
    url: '/account/fans/' + uid,
    method: 'delete'
  })
}
